Subject: Re: Seeking Cygwin installer for the simpleminded
From: [email-masked]
To: Nathan Meyers <[email-masked]>
Cc: [email-masked]
Date: Mon, 17 Sep 2001 08:13:16 -0400

I have done such a thing.  What I use on my installation server
is a shared drive which contains a copy of bash, a copy of
cygwin1.dll, a copy of tar, a copy of gzip.exe ( not gunzip.exe,
tar uses gzip.exe if you do tar -xzf ), a set of various scripts,
and some tarballs, specificly one for each drive in our standard
configuration.  The cygwin executables are just included in the
'd-drive.tgz' tarball, except for the aformentioned ones.
(Actually, there are redundant copies of those in that tarball,
as well).

Anyway, I'll make the pertinant parts available to you if you
wish.  The batch file that starts the whole thing is called
'monkey.bat', in reference to Lost in Space: "And the monkey
pushes the button".

On Fri, Sep 14, 2001 at 08:48:19AM -0700, Nathan Meyers wrote:
> Hello,
> 
> I'm looking for a way to deliver a few Cygwin components (library +
> an app or two) for use with a class I'll be teaching, and I'm hoping
> to find or build the most foolproof, dummy-proof delivery possible:
> something requiring the fewest actions and decisions by the end user.
> 
> What I'm hoping for is something like a combination of an unzipsfx
> self-installing archive and the Cygwin install utility - with almost
> all decisions (what to install, where to get the bits, etc.) controlled
> a script or other preconfiguration.
> 
> It looks like the way for me to get there is to hack together some
> combination of unzip and the Cygwin installer - but I'm wondering if
> anyone has already created such a beast.
> 
> Nathan Meyers
> [email-masked]
> 
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
> 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/